## jpeg-xl 0.10.3

=== debian/changelog ===
jpeg-xl (0.10.3-4ubuntu1) oracular; urgency=medium

  * Force gcc-13 on s390x, testsuite hangs with gcc-14

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 18:02:35 +0200

jpeg-xl (0.10.3-4) experimental; urgency=medium

  * d/tests: Remove a portion of the unit test. Closes: #1076699

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Jul 2024 11:27:05 +0200

jpeg-xl (0.10.3-3) experimental; urgency=medium

  * d/patches: Make sure to find package HWY

 -- Mathieu Malaterre <malat@debian.org>  Sun, 21 Jul 2024 12:47:40 +0200

jpeg-xl (0.10.3-2) experimental; urgency=medium

  * d/rules Remove legacy comment
  * d/patches: Update big endian patch
  * d/patches: Add libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Sat, 20 Jul 2024 17:09:30 +0200

jpeg-xl (0.10.3-1) experimental; urgency=medium

  * New upstream version 0.10.3
  * d/patches: Refresh patches for new release
  * d/symbols: Migrate to new ABI
  * d/patches: Prepare patch for upstream

 -- Mathieu Malaterre <malat@debian.org>  Sat, 06 Jul 2024 11:07:28 +0200

jpeg-xl (0.9.2-10) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Disable OpenEXR support on Ubuntu
  * Enable all hardening flags
  * Bump debhelper compat to 13
  * Set Build-Depends-Package
  * Strip trailing whitespace

  [ Mathieu Malaterre ]
  * d/rules: Add missing dev tools

  [ Jeremy Bícha ]
  * d/t/control: Re-add big-endian arches. Closes: #1074530

  [ Mathieu Malaterre ]
  * d/control: Provide a nojava profile. Closes: #1067757

 -- Mathieu Malaterre <malat@debian.org>  Fri, 05 Jul 2024 13:00:33 +0200

=== debian/control ===
Source: jpeg-xl
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Section: graphics
Priority: optional
Standards-Version: 4.7.0
Build-Depends: asciidoc-base, gcc-13 [s390x], g++-13 [s390x],
               cmake (>= 3.10),
               debhelper-compat (= 13),
               default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32] <!nojava>,
               docbook-xml,
               help2man,
               libavif-dev (>= 0.10.1),
               libbrotli-dev,
               libgdk-pixbuf-2.0-dev,
               libgflags-dev,
               libgif-dev (>= 5.1),
               libgmock-dev <!nocheck>,
               libgoogle-perftools-dev [amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 powerpc ppc64 x32],
               libgtest-dev <!nocheck>,
               libhwy-dev (>= 1.0.3),
               libjpeg-dev,
               libjxl-testdata (>= 0.0~git20240106.ff8d743-2) <!nocheck>,
               liblcms-dev | liblcms2-dev (>= 2.13),
               libopenexr-dev,
               libpng-dev,
               libwebp-dev (>= 1.3),
               ninja-build,
               pkgconf
Build-Depends-Indep: doxygen, graphviz
Homepage: https://github.com/libjxl/libjxl
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjxl.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjxl
Rules-Requires-Root: no

Package: libjxl-tools
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libjpeg-turbo-progs
Suggests: netpbm
Description: JPEG XL Image Coding System - "JXL" (command line utility)
 The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
 lossless image compression format. It has a rich feature set and is
 particularly optimized for responsive web environments, so that
 content renders well on a wide range of devices. Moreover, it includes
 several features that help transition from the legacy JPEG format.
 .
 This package installs the command line utilities.

Package: libjxl-dev
Architecture: any
Section: libdevel
Depends: libbrotli-dev,
         libhwy-dev,
         libjxl0.10 (= ${binary:Version}),
         liblcms-dev,
         ${misc:Depends}
Multi-Arch: same
Description: JPEG XL Image Coding System - "JXL" (development files)
 The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
 lossless image compression format. It has a rich feature set and is
 particularly optimized for responsive web environments, so that
 content renders well on a wide range of devices. Moreover, it includes
 several features that help transition from the legacy JPEG format.
 .
 This package installs development files.

Package: libjxl0.10
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: JPEG XL Image Coding System - "JXL" (shared libraries)
 The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
 lossless image compression format. It has a rich feature set and is
 particularly optimized for responsive web environments, so that
 content renders well on a wide range of devices. Moreover, it includes
 several features that help transition from the legacy JPEG format.
 .
 This package installs shared libraries.

Package: jpeg-xl-doc
Architecture: all
Section: doc
Depends: doc-base, ${misc:Depends}
Description: JPEG XL Image Coding System - "JXL" (documentation)
 The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
 lossless image compression format. It has a rich feature set and is
 particularly optimized for responsive web environments, so that
 content renders well on a wide range of devices. Moreover, it includes
 several features that help transition from the legacy JPEG format.
 .
 This package installs the doxygen documentation.

Package: libjxl-devtools
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libavif-bin
Description: JPEG XL Image Coding System - "JXL" (dev command line utility)
 The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
 lossless image compression format. It has a rich feature set and is
 particularly optimized for responsive web environments, so that
 content renders well on a wide range of devices. Moreover, it includes
 several features that help transition from the legacy JPEG format.
 .
 This package installs the devtools command line utilities.

Package: libjxl-gdk-pixbuf
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: JPEG XL Plugin for gdk-pixbuf
 This package installs the required files for reading JPEG XL files in
 GTK applications.

Package: libjpegxl-java
Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32
Section: java
Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: java-virtual-machine
Description: JPEG XL Image Coding System - "JXL" (java bindings)
 The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
 lossless image compression format. It has a rich feature set and is
 particularly optimized for responsive web environments, so that
 content renders well on a wide range of devices. Moreover, it includes
 several features that help transition from the legacy JPEG format.
 .
 This package installs the Java Bindings.

Package: libjpegli-tools
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG XL Image Coding System - "JXL" (jpegli command line utility)
 The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
 lossless image compression format. It has a rich feature set and is
 particularly optimized for responsive web environments, so that
 content renders well on a wide range of devices. Moreover, it includes
 several features that help transition from the legacy JPEG format.
 .
 This package installs the JPEGLI tools command line utilities

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

GCC_13_ARCHS=s390x
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(GCC_13_ARCHS)))
  export CC=gcc-13
  export CXX=g++-13
endif
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# keep same order as https://buildd.debian.org/status/package.php?p=google-perftools&suite=sid
# purposely remove i386 for Ubuntu compat
TCMALLOC_ARCHS=amd64 arm64 armel armhf mips64el ppc64el riscv64 s390x loong64 powerpc ppc64 x32
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(TCMALLOC_ARCHS)))
  ENABLE_TCMALLOC=ON
else
  ENABLE_TCMALLOC=OFF
endif

# https://buildd.debian.org/status/package.php?p=openjdk-21
JAVA_ARCHS=amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(JAVA_ARCHS)))
  ENABLE_JNI=ON
else
  ENABLE_JNI=OFF
endif

# Override if profile states so:
ifneq (,$(filter nojava,$(DEB_BUILD_PROFILES)))
  ENABLE_JNI=OFF
endif

# Temp fix for 0.7.0-10.x i386/s390x build; see https://bugs.debian.org/1053641
DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast

ifneq (,$(filter $(DEB_HOST_ARCH), arm64 armel armhf ppc64el))
  # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=77728
  DEB_CXXFLAGS_MAINT_APPEND += -Wno-psabi
endif
export DEB_CXXFLAGS_MAINT_APPEND

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
  ENABLE_OPENEXR=OFF
else
  ENABLE_OPENEXR=ON
endif

# Copy/paste from ci.sh `cmd_opt`:
DEB_CXXFLAGS_MAINT_APPEND += -DJXL_DEBUG_WARNING -DJXL_DEBUG_ON_ERROR

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  ENABLE_DOXYGEN = OFF
else
  ENABLE_DOXYGEN = ON
endif

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  BUILD_TESTING=ON
else
  BUILD_TESTING=OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja

CMAKE_EXTRA_FLAGS += \
	-DBUILD_TESTING:BOOL=$(BUILD_TESTING) \
	-DCMAKE_BUILD_RPATH_USE_ORIGIN=OFF \
	-DJPEGXL_BUNDLE_SKCMS:BOOL=OFF \
	-DJPEGXL_ENABLE_BENCHMARK:BOOL=ON \
	-DJPEGXL_ENABLE_DEVTOOLS:BOOL=ON \
	-DJPEGXL_ENABLE_DOXYGEN:BOOL=$(ENABLE_DOXYGEN) \
	-DJPEGXL_ENABLE_EXAMPLES:BOOL=ON \
	-DJPEGXL_ENABLE_JNI:BOOL=$(ENABLE_JNI) \
	-DJPEGXL_ENABLE_OPENEXR:BOOL=$(ENABLE_OPENEXR) \
	-DJPEGXL_ENABLE_PLUGINS:BOOL=ON \
	-DJPEGXL_ENABLE_PLUGIN_GDKPIXBUF:BOOL=ON \
	-DJPEGXL_ENABLE_PLUGIN_GIMP210:BOOL=OFF \
	-DJPEGXL_ENABLE_PLUGIN_MIME:BOOL=OFF \
	-DJPEGXL_ENABLE_SJPEG:BOOL=OFF \
	-DJPEGXL_ENABLE_SKCMS:BOOL=OFF \
	-DJPEGXL_ENABLE_TCMALLOC:BOOL=$(ENABLE_TCMALLOC) \
	-DJPEGXL_FORCE_SYSTEM_BROTLI:BOOL=ON \
	-DJPEGXL_FORCE_SYSTEM_GTEST:BOOL=ON \
	-DJPEGXL_FORCE_SYSTEM_HWY:BOOL=ON \
	-DJPEGXL_FORCE_SYSTEM_JPEG_TURBO=ON \
	-DJPEGXL_FORCE_SYSTEM_LCMS2:BOOL=ON \
	-DJPEGXL_INSTALL_JARDIR:PATH=share/java \
	-DJPEGXL_INSTALL_JNIDIR:PATH=lib/$(DEB_HOST_MULTIARCH)/jni \
	-DJPEGXL_TEST_DATA_PATH:PATH=/usr/share/libjxl-testdata \

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_install-indep:

override_dh_install-indep:
	dh_install -X.md5 -pjpeg-xl-doc obj-*/html usr/share/doc/jpeg-xl-doc

override_dh_auto_test-indep:

override_dh_auto_test-arch:
	# armel requires 7h to run complete testsuite:
	timeout 7h dh_auto_test --

override_dh_installman-arch: tools_manpages devtools_manpages jpegli_tools_manpages
	dh_installman

override_dh_clean-arch:
	dh_clean debian/*.1
	# by-product of `conformance_tooling_test`:
	dh_clean tools/conformance/__pycache__/lcms2.cpython-*.pyc

debian/control: debian/control.in
	sed -e "s/@TCMALLOC_ARCHS@/$(TCMALLOC_ARCHS)/g;s/@JAVA_ARCHS@/$(JAVA_ARCHS)/g;" $< > $@

FILE=debian/libjxl-devtools.install
DEVTOOLS=`cat $(FILE) | sed  's@usr/bin@debian@' | sed 's/$$/.1/' | tr '\n' ' '`

VER_FULL = $(DEB_VERSION_UPSTREAM)

debian/%.1: debian/%.1.in
	LD_PRELOAD= LD_LIBRARY_PATH=./debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) help2man --no-discard-stderr --include=$< --output=$@ --help-option=--help --version-string=$(VER_FULL) --no-info ./debian/tmp/usr/bin/`basename $@ .1`

.PHONY: tools_manpages devtools_manpages jpegli_tools_manpages get-orig-source

tools_manpages: debian/jxlinfo.1
	echo "all tools manpages generated"

jpegli_tools_manpages: debian/cjpegli.1 debian/djpegli.1 debian/jpegli_dec_fuzzer_corpus.1
	echo "all jpegli tools manpages generated"

devtools_manpages: debian/butteraugli_main.1 debian/decode_and_encode.1 debian/display_to_hlg.1 debian/djxl_fuzzer_corpus.1 debian/generate_lut_template.1 debian/jxl_from_tree.1 debian/pq_to_hlg.1 debian/render_hlg.1 debian/ssimulacra_main.1 debian/texture_to_cube.1 debian/tone_map.1 debian/xyb_range.1 debian/benchmark_xl.1 debian/ssimulacra2.1 debian/local_tone_map.1 debian/exr_to_pq.1
	echo $(DEVTOOLS)
	echo "all devtools manpages generated"

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=902846
get-orig-source:
	uscan --download --force-download --rename

## jpeg-xl 0.10.4

=== lib/CMakeLists.txt ===
# Copyright (c) the JPEG XL Project Authors. All rights reserved.
#
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

set(JPEGXL_MAJOR_VERSION 0)
set(JPEGXL_MINOR_VERSION 10)
set(JPEGXL_PATCH_VERSION 4)
set(JPEGXL_LIBRARY_VERSION
    "${JPEGXL_MAJOR_VERSION}.${JPEGXL_MINOR_VERSION}.${JPEGXL_PATCH_VERSION}")

# This is the library API/ABI compatibility version. Changing this value makes
# the shared library incompatible with previous version. A program linked
# against this shared library SOVERSION will not run with an older SOVERSION.
# It is important to update this value when making incompatible API/ABI changes
# so that programs that depend on libjxl can update their dependencies. Semantic
# versioning allows 0.y.z to have incompatible changes in minor versions.
set(JPEGXL_SO_MINOR_VERSION 10)
if (JPEGXL_MAJOR_VERSION EQUAL 0)
  set(JPEGXL_LIBRARY_SOVERSION
      "${JPEGXL_MAJOR_VERSION}.${JPEGXL_SO_MINOR_VERSION}")
else()
  set(JPEGXL_LIBRARY_SOVERSION "${JPEGXL_MAJOR_VERSION}")
endif()


# List of warning and feature flags for our library and tests.
if (MSVC)
  set(JPEGXL_INTERNAL_FLAGS
    # TODO(janwas): add flags
  )
else ()
  set(JPEGXL_INTERNAL_FLAGS
    # F_FLAGS
    -fmerge-all-constants
    -fno-builtin-fwrite
    -fno-builtin-fread

    # WARN_FLAGS
    -Wall
    -Wextra
    -Wc++11-compat
    -Warray-bounds
    -Wformat-security
    -Wimplicit-fallthrough
    -Wno-register  # Needed by public headers in lcms
    -Wno-unused-function
    -Wno-unused-parameter
    -Wnon-virtual-dtor
    -Woverloaded-virtual
    -Wvla
  )

  # Warning flags supported by clang.
  if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    list(APPEND JPEGXL_INTERNAL_FLAGS
      -Wdeprecated-increment-bool
      # TODO(deymo): Add -Wextra-semi once we update third_party/highway.
      # -Wextra-semi
      -Wfloat-overflow-conversion
      -Wfloat-zero-conversion
      -Wfor-loop-analysis
      -Wgnu-redeclared-enum
      -Winfinite-recursion
      -Wliteral-conversion
      -Wno-c++98-compat
      -Wno-unused-command-line-argument
      -Wprivate-header
      -Wself-assign
      -Wstring-conversion
      -Wtautological-overlap-compare
      -Wthread-safety-analysis
      -Wundefined-func-template
      -Wunreachable-code
      -Wunused-comparison
    )
    if (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.0)
      list(APPEND HWY_FLAGS -Wc++2a-extensions)
    endif()
  endif()  # Clang

  if (WIN32)
    list(APPEND JPEGXL_INTERNAL_FLAGS
      -Wno-cast-align
      -Wno-double-promotion
      -Wno-float-equal
      -Wno-format-nonliteral
      -Wno-shadow
      -Wno-sign-conversion
      -Wno-zero-as-null-pointer-constant
    )

    if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
      list(APPEND JPEGXL_INTERNAL_FLAGS
        -Wno-used-but-marked-unused
        -Wno-unused-template
        -Wno-unused-member-function
        -Wno-shadow-field-in-constructor
        -Wno-language-extension-token
        -Wno-global-constructors
        -Wno-c++98-compat-pedantic
      )
    endif()  # Clang
  else()  # WIN32
    list(APPEND JPEGXL_INTERNAL_FLAGS
      -fsized-deallocation
      -fno-exceptions

      # Language flags
      -fmath-errno
    )

    if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
      list(APPEND JPEGXL_INTERNAL_FLAGS
        -fnew-alignment=8
        -fno-cxx-exceptions
        -fno-slp-vectorize
        -fno-vectorize

        -disable-free
        -disable-llvm-verifier
      )
    endif()  # Clang
  endif()  # WIN32
endif()  #!MSVC

if (JPEGXL_ENABLE_SKCMS)
  list(APPEND JPEGXL_INTERNAL_FLAGS -DJPEGXL_ENABLE_SKCMS=1)
endif ()

# strips the -internal suffix from all the elements in LIST
function(strip_internal OUTPUT_VAR LIB_LIST)
  foreach(lib IN LISTS ${LIB_LIST})
    string(REGEX REPLACE "-internal$" "" lib "${lib}")
    list(APPEND out_list "${lib}")
  endforeach()
  set(${OUTPUT_VAR} ${out_list} PARENT_SCOPE)
endfunction()

# set variables for jxl_cms.cmake and jxl.cmake
if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
    set(PKGCONFIG_TARGET_INCLUDES "${CMAKE_INSTALL_INCLUDEDIR}")
else()
    set(PKGCONFIG_TARGET_INCLUDES "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
endif()
if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
    set(PKGCONFIG_TARGET_LIBS "${CMAKE_INSTALL_LIBDIR}")
else()
    set(PKGCONFIG_TARGET_LIBS "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
endif()

include(CheckCXXSymbolExists)
set(PKGCONFIG_CXX_LIB "")
check_cxx_symbol_exists(__GLIBCXX__ iostream LIBSTDCXX)
check_cxx_symbol_exists(_LIBCPP_VERSION iostream LIBCXX)
if(LIBSTDCXX)
  set(PKGCONFIG_CXX_LIB "-lstdc++")
elseif(LIBCXX)
  set(PKGCONFIG_CXX_LIB "-lc++")
endif()

# The jxl_cms library definition.
include(jxl_cms.cmake)
# The jxl library definition.
include(jxl.cmake)

# Other libraries outside the core jxl library.
if(JPEGXL_ENABLE_TOOLS OR BUILD_TESTING)
  include(jxl_extras.cmake)
endif()
include(jxl_threads.cmake)
if (JPEGXL_ENABLE_JPEGLI)
  include(jpegli.cmake)
endif()

# For simplicity all the library headers, both source and generated ones, are
# gathered in the binary folder. There is no distinction on which libraries use
# which header since it is expected that all developer libraries are available
# together at build time.
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/include/jxl
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")

if(BUILD_TESTING)
  include(GoogleTest)
endif()

# Tests for the jxl library.
include(jxl_tests.cmake)

if(BUILD_TESTING)
  # Google benchmark for the jxl library
  include(jxl_benchmark.cmake)
endif()

=== debian/changelog ===
jpeg-xl (0.10.4-2) unstable; urgency=medium

  * Team upload
  * Extend dh_auto_test timeout to avoid build failures on riscv64
    (Closes: #1077336)
  * Release to unstable (Closes: #1088818)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Dec 2024 11:28:50 -0500

jpeg-xl (0.10.4-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release (Closes: #1077336)
    - CVE-2024-11403 Huffman lookup table size fix
    - CVE-2024-11498 Check height limit in modular trees

  [ Gianfranco Costamagna ]
  * Force gcc-13 on s390x because testsuite hangs with gcc-14

  [ Jeremy Bícha ]
  * Use gcc-13 on riscv64 too

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Dec 2024 18:46:59 -0500

jpeg-xl (0.10.3-5) experimental; urgency=medium

  * d/patches: Remove libjpegli-tools

 -- Mathieu Malaterre <malat@debian.org>  Fri, 27 Sep 2024 16:13:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: graphics
 Priority: optional
 Standards-Version: 4.7.0
-Build-Depends: asciidoc-base, gcc-13 [s390x], g++-13 [s390x],
+Build-Depends: asciidoc-base, gcc-13 [riscv64 s390x], g++-13 [riscv64 s390x],
                cmake (>= 3.10),
                debhelper-compat (= 13),
                default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32] <!nojava>,
@@ -131,16 +131,3 @@
  several features that help transition from the legacy JPEG format.
  .
  This package installs the Java Bindings.
-
-Package: libjpegli-tools
-Architecture: any
-Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: JPEG XL Image Coding System - "JXL" (jpegli command line utility)
- The JPEG XL Image Coding System (ISO/IEC 18181) is a lossy and
- lossless image compression format. It has a rich feature set and is
- particularly optimized for responsive web environments, so that
- content renders well on a wide range of devices. Moreover, it includes
- several features that help transition from the legacy JPEG format.
- .
- This package installs the JPEGLI tools command line utilities

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-GCC_13_ARCHS=s390x
+GCC_13_ARCHS=riscv64 s390x
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(GCC_13_ARCHS)))
   export CC=gcc-13
   export CXX=g++-13
@@ -85,7 +85,6 @@
 	-DJPEGXL_FORCE_SYSTEM_BROTLI:BOOL=ON \
 	-DJPEGXL_FORCE_SYSTEM_GTEST:BOOL=ON \
 	-DJPEGXL_FORCE_SYSTEM_HWY:BOOL=ON \
-	-DJPEGXL_FORCE_SYSTEM_JPEG_TURBO=ON \
 	-DJPEGXL_FORCE_SYSTEM_LCMS2:BOOL=ON \
 	-DJPEGXL_INSTALL_JARDIR:PATH=share/java \
 	-DJPEGXL_INSTALL_JNIDIR:PATH=lib/$(DEB_HOST_MULTIARCH)/jni \
@@ -106,9 +105,9 @@
 
 override_dh_auto_test-arch:
 	# armel requires 7h to run complete testsuite:
-	timeout 7h dh_auto_test --
+	timeout 10h dh_auto_test --
 
-override_dh_installman-arch: tools_manpages devtools_manpages jpegli_tools_manpages
+override_dh_installman-arch: tools_manpages devtools_manpages
 	dh_installman
 
 override_dh_clean-arch:
@@ -127,13 +126,10 @@
 debian/%.1: debian/%.1.in
 	LD_PRELOAD= LD_LIBRARY_PATH=./debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) help2man --no-discard-stderr --include=$< --output=$@ --help-option=--help --version-string=$(VER_FULL) --no-info ./debian/tmp/usr/bin/`basename $@ .1`
 
-.PHONY: tools_manpages devtools_manpages jpegli_tools_manpages get-orig-source
+.PHONY: tools_manpages devtools_manpages get-orig-source
 
 tools_manpages: debian/jxlinfo.1
 	echo "all tools manpages generated"
-
-jpegli_tools_manpages: debian/cjpegli.1 debian/djpegli.1 debian/jpegli_dec_fuzzer_corpus.1
-	echo "all jpegli tools manpages generated"
 
 devtools_manpages: debian/butteraugli_main.1 debian/decode_and_encode.1 debian/display_to_hlg.1 debian/djxl_fuzzer_corpus.1 debian/generate_lut_template.1 debian/jxl_from_tree.1 debian/pq_to_hlg.1 debian/render_hlg.1 debian/ssimulacra_main.1 debian/texture_to_cube.1 debian/tone_map.1 debian/xyb_range.1 debian/benchmark_xl.1 debian/ssimulacra2.1 debian/local_tone_map.1 debian/exr_to_pq.1
 	echo $(DEVTOOLS)

## jpeg-xl 0.11.1

=== examples/CMakeLists.txt ===
# Copyright (c) the JPEG XL Project Authors. All rights reserved.
#
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# Example project using libjxl.

cmake_minimum_required(VERSION 3.10)

project(SAMPLE_LIBJXL LANGUAGES C CXX)

# Use pkg-config to find libjxl.
find_package(PkgConfig)
pkg_check_modules(Jxl REQUIRED IMPORTED_TARGET libjxl libjxl_cms libjxl_threads)

# Build the example encoder/decoder binaries using the default shared libraries
# installed.
add_executable(decode_exif_metadata decode_exif_metadata.cc)
target_link_libraries(decode_exif_metadata PkgConfig::Jxl)

add_executable(decode_oneshot decode_oneshot.cc)
target_link_libraries(decode_oneshot PkgConfig::Jxl)

add_executable(decode_progressive decode_progressive.cc)
target_link_libraries(decode_progressive PkgConfig::Jxl)

add_executable(encode_oneshot encode_oneshot.cc)
target_link_libraries(encode_oneshot PkgConfig::Jxl)

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # license that can be found in the LICENSE file.
 
 set(JPEGXL_MAJOR_VERSION 0)
-set(JPEGXL_MINOR_VERSION 10)
-set(JPEGXL_PATCH_VERSION 4)
+set(JPEGXL_MINOR_VERSION 11)
+set(JPEGXL_PATCH_VERSION 1)
 set(JPEGXL_LIBRARY_VERSION
     "${JPEGXL_MAJOR_VERSION}.${JPEGXL_MINOR_VERSION}.${JPEGXL_PATCH_VERSION}")
 
@@ -15,7 +15,7 @@
 # It is important to update this value when making incompatible API/ABI changes
 # so that programs that depend on libjxl can update their dependencies. Semantic
 # versioning allows 0.y.z to have incompatible changes in minor versions.
-set(JPEGXL_SO_MINOR_VERSION 10)
+set(JPEGXL_SO_MINOR_VERSION 11)
 if (JPEGXL_MAJOR_VERSION EQUAL 0)
   set(JPEGXL_LIBRARY_SOVERSION
       "${JPEGXL_MAJOR_VERSION}.${JPEGXL_SO_MINOR_VERSION}")

=== plugins/CMakeLists.txt ===
# Copyright (c) the JPEG XL Project Authors. All rights reserved.
#
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

if(NOT MSVC)
  option(JPEGXL_ENABLE_PLUGIN_GDKPIXBUF "Enable plugin for GdkPixbuf image loading library" ON)
  if(JPEGXL_ENABLE_PLUGIN_GDKPIXBUF)
    add_subdirectory(gdk-pixbuf)
  endif()
endif()

option(JPEGXL_ENABLE_PLUGIN_GIMP210 "Enable plugin for GIMP 2.10.x series" ON)
if(JPEGXL_ENABLE_PLUGIN_GIMP210)
  add_subdirectory(gimp)
endif()

option(JPEGXL_ENABLE_PLUGIN_MIME "Enable image/jxl declaration for shared-mime-info" ON)
if(JPEGXL_ENABLE_PLUGIN_MIME)
  add_subdirectory(mime)
endif()

=== tools/viewer/CMakeLists.txt ===
# Copyright (c) the JPEG XL Project Authors. All rights reserved.
#
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

find_package(Qt6 QUIET COMPONENTS Widgets)
if (NOT Qt6_FOUND)
  message(WARNING "Qt6 was not found. The directory viewer will not be built.")
  return()
endif ()

if (NOT TARGET icc_detect)
  message(WARNING "The directory viewer depends on the comparison tool and will also not be built.")
  return ()
endif ()

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

add_executable(viewer WIN32
  load_jxl.cc
  load_jxl.h
  main.cc
  viewer_window.cc
  viewer_window.h
  viewer_window.ui
)
target_include_directories(viewer PRIVATE
  $<TARGET_PROPERTY:lcms2,INCLUDE_DIRECTORIES>
  "${PROJECT_SOURCE_DIR}"
)
target_link_libraries(viewer
  Qt6::Widgets
  icc_detect
  jxl
  jxl_threads
  lcms2
)

=== debian/changelog ===
jpeg-xl (0.11.1-6ubuntu1) questing; urgency=medium

  * Use gcc-14 to avoid miscompilation on ppc64el (LP: #2121375)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 06 Oct 2025 11:45:10 +0200

jpeg-xl (0.11.1-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Depend on a native JDK (Closes: #1110508)
  * Fix the nojava build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 18:05:50 -0400

jpeg-xl (0.11.1-5) unstable; urgency=medium

  * Cherry-pick patch to fix big-endian build
  * Remove obsolete bigendian patch
  * Stop using gcc-13 for big endian architectures (Closes: #1092659, #1110520)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Sep 2025 15:24:02 -0400

jpeg-xl (0.11.1-4) unstable; urgency=medium

  * Team upload

  [ Sean McGovern ]
  * d/{control,rules}: use gcc-13 on powerpc and ppc64

  [ Jeremy Bícha ]
  * Use gcc-13 for hppa & sparc64 also (Closes: #1100753)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Mar 2025 13:49:07 -0400

jpeg-xl (0.11.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Mar 2025 08:17:40 -0400

jpeg-xl (0.11.1-2) experimental; urgency=medium

  * Team upload
  * Remove arbitrary timeout from dh_auto_test (Closes: #1091692)
  * Stop forcing LTO on Debian. Mitigates: #1099885
  * debian/libjxl0.11.symbols: Add symbols only seen when building without LTO

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 18:07:36 -0400

jpeg-xl (0.11.1-1) experimental; urgency=medium

  * New upstream version 0.11.1
  * d/patches: Refresh patches for new release
  * d/rules: Handle gcc-13 arches
  * d/rules: Add new icc_simplify tool
  * d/control: Migrate to SOVERSION 0.11

 -- Mathieu Malaterre <malat@debian.org>  Thu, 06 Feb 2025 18:43:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: jpeg-xl
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Section: graphics
 Priority: optional
 Standards-Version: 4.7.0
-Build-Depends: asciidoc-base, gcc-13 [riscv64 s390x], g++-13 [riscv64 s390x],
+Build-Depends: asciidoc-base,
                cmake (>= 3.10),
                debhelper-compat (= 13),
-               default-jdk [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32] <!nojava>,
+               default-jdk:native [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32] <!nojava>,
                docbook-xml,
                help2man,
+               g++-14 [ppc64el],
                libavif-dev (>= 0.10.1),
                libbrotli-dev,
                libgdk-pixbuf-2.0-dev,
@@ -53,7 +55,7 @@
 Section: libdevel
 Depends: libbrotli-dev,
          libhwy-dev,
-         libjxl0.10 (= ${binary:Version}),
+         libjxl0.11 (= ${binary:Version}),
          liblcms-dev,
          ${misc:Depends}
 Multi-Arch: same
@@ -66,7 +68,7 @@
  .
  This package installs development files.
 
-Package: libjxl0.10
+Package: libjxl0.11
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -120,6 +122,7 @@
 
 Package: libjpegxl-java
 Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha ia64 m68k powerpc ppc64 sh4 sparc64 x32
+Build-Profiles: <!nojava>
 Section: java
 Depends: ${java:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: java-virtual-machine

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,7 @@
 
 include /usr/share/dpkg/default.mk
 
-GCC_13_ARCHS=riscv64 s390x
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(GCC_13_ARCHS)))
-  export CC=gcc-13
-  export CXX=g++-13
-endif
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # keep same order as https://buildd.debian.org/status/package.php?p=google-perftools&suite=sid
 # purposely remove i386 for Ubuntu compat
@@ -62,6 +57,13 @@
   BUILD_TESTING=OFF
 endif
 
+# ppc64el build is broken with GCC-15 (LP: #2121375)
+# work-around this issue by pinning ppc64el build to GCC-14
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),ppc64el))
+  export CC = /usr/bin/gcc-14
+  export CXX = /usr/bin/g++-14
+endif
+
 %:
 	dh $@ --buildsystem=cmake+ninja
 
@@ -103,10 +105,6 @@
 
 override_dh_auto_test-indep:
 
-override_dh_auto_test-arch:
-	# armel requires 7h to run complete testsuite:
-	timeout 10h dh_auto_test --
-
 override_dh_installman-arch: tools_manpages devtools_manpages
 	dh_installman
 
@@ -116,7 +114,7 @@
 	dh_clean tools/conformance/__pycache__/lcms2.cpython-*.pyc
 
 debian/control: debian/control.in
-	sed -e "s/@TCMALLOC_ARCHS@/$(TCMALLOC_ARCHS)/g;s/@JAVA_ARCHS@/$(JAVA_ARCHS)/g;" $< > $@
+	sed -e "s/@GCC_13_ARCHS@/$(GCC_13_ARCHS)/g;s/@TCMALLOC_ARCHS@/$(TCMALLOC_ARCHS)/g;s/@JAVA_ARCHS@/$(JAVA_ARCHS)/g;" $< > $@
 
 FILE=debian/libjxl-devtools.install
 DEVTOOLS=`cat $(FILE) | sed  's@usr/bin@debian@' | sed 's/$$/.1/' | tr '\n' ' '`
@@ -131,7 +129,7 @@
 tools_manpages: debian/jxlinfo.1
 	echo "all tools manpages generated"
 
-devtools_manpages: debian/butteraugli_main.1 debian/decode_and_encode.1 debian/display_to_hlg.1 debian/djxl_fuzzer_corpus.1 debian/generate_lut_template.1 debian/jxl_from_tree.1 debian/pq_to_hlg.1 debian/render_hlg.1 debian/ssimulacra_main.1 debian/texture_to_cube.1 debian/tone_map.1 debian/xyb_range.1 debian/benchmark_xl.1 debian/ssimulacra2.1 debian/local_tone_map.1 debian/exr_to_pq.1
+devtools_manpages: debian/butteraugli_main.1 debian/decode_and_encode.1 debian/display_to_hlg.1 debian/djxl_fuzzer_corpus.1 debian/generate_lut_template.1 debian/jxl_from_tree.1 debian/pq_to_hlg.1 debian/render_hlg.1 debian/ssimulacra_main.1 debian/texture_to_cube.1 debian/tone_map.1 debian/xyb_range.1 debian/benchmark_xl.1 debian/ssimulacra2.1 debian/local_tone_map.1 debian/exr_to_pq.1 debian/icc_simplify.1
 	echo $(DEVTOOLS)
 	echo "all devtools manpages generated"

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libjxl-testdata
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libjxl-$1\.tar\.gz/ \
  https://github.com/libjxl/libjxl/tags .*/v?(\d\S+)\.tar\.gz
